<div class="col-md-12">
  <div class="card card-container">
    <img
      id="profile-img"
      src="https://vivek-college.org/Content/Schools/VES/img/bg-img/STUDENTS.png"
      class="profile-img-card"
    />
    <form
      *ngIf="!isSuccessful"
      name="form"
      (ngSubmit)="f.form.valid && onSubmit()"
      #f="ngForm"
      novalidate
    >
      <div class="form-group">
        <label for="username" style="color: aliceblue">Staff Name</label>
        <input
          type="text"
          placeholder=" Enter Username"
          class="form-control"
          name="username"
          [(ngModel)]="form.username"
          required
          minlength="3"
          maxlength="20"
          #username="ngModel"
          [class.is-invalid]="username.invalid && username.touched"
        />
        <!-- <small
          class="text-danger"
          [class.d-none]="username.valid || username.untouched"
          >email is required field
        </small> -->
        <div class="alert-danger" *ngIf="username.errors && f.submitted">
          <div *ngIf="username.errors.required">Username is required</div>
          <div *ngIf="username.errors.minlength">
            Username must be at least 3 characters
          </div>
          <div *ngIf="username.errors.maxlength">
            Username must be at most 20 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="email" style="color: aliceblue">Email</label>
        <input
          type="email"
          placeholder=" Enter Email"
          class="form-control"
          name="email"
          [(ngModel)]="form.email"
          required
          pattern="^\w+[\w-\.]*\@\w+((-\w+)|(\w*))\.[a-z]{2,3}$"
          email
          #email="ngModel"
          [class.is-invalid]="email.invalid && email.touched"
        />
        <!-- <small
          class="text-danger"
          [class.d-none]="email.valid || email.untouched"
          >email is required field
        </small> -->
        <div class="alert-danger" *ngIf="email.errors && f.submitted">
          <div *ngIf="email.errors.required">Email is required</div>
          <div *ngIf="email.errors.email">
            Email must be a valid email address
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="password" style="color: aliceblue">Password</label>
        <input
          type="password"
          placeholder=" min.6 Characters ex..#,A,a,9"
          class="form-control"
          name="password"
          [(ngModel)]="form.password"
          required
          pattern="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{5,15}$"
          minlength="6"
          #password="ngModel"
          [class.is-invalid]="password.invalid && password.touched"
        />
        <!-- <small
          class="text-danger"
          [class.d-none]="password.valid || password.untouched"
          >email is required field
        </small> -->
        <div class="alert-danger" *ngIf="password.errors && f.submitted">
          <div *ngIf="password.errors.required">Password is required</div>
          <div *ngIf="password.errors.minlength">
            Password must be at least 6 characters
          </div>
        </div>
      </div>
      <div class="form-group">
        <button class="btn btn-primary btn-block">Register New Id</button>
      </div>

      <div
        class="alert alert-warning"
        *ngIf="f.submitted && registrationFailed"
      >
        registrationFailed!<br />{{ errorMessage }}
      </div>
    </form>

    <div class="alert alert-success" *ngIf="isSuccessful">
      New Staff Added SuccessFully !
    </div>
    <div>
      <button class="btn btn-success btn-block" routerLink="/allAccount">
        Link To View Staff Created Acoount
      </button>
    </div>
  </div>
</div>
